<div *ngIf="!isAnyClientsExists && !isLoading"
     layout="column"
     layout-align="center"
     class="text-center height-100-per">
  <h1 class="mat-display-2 m-b-10">No employees yet</h1>
  <p>Add the first employee to get started</p>
  <div class="p-t-32">
    <button mat-flat-button
            color="accent"
            (click)="callPersonCreationDialog()">
      Add first employee
    </button>
  </div>
</div>

<div *ngIf="isAnyClientsExists">

  <div class="bg-white m-b-10 mat-elevation-z2">
    <mat-expansion-panel class="mat-elevation-z0">
      <mat-expansion-panel-header>
        <mat-panel-title class="p-x-10">
          Filters
        </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-template matExpansionPanelContent>
        <div layout layout-wrap class="p-x-10">
          <ng-container *ngIf="filters">
            <mat-checkbox
              flex="30"
              [(ngModel)]="filters.withTrashed"
              (ngModelChange)="callDataUpdate()"
              labelPosition="after">
              Show inactive
            </mat-checkbox>
          </ng-container>
        </div>
      </ng-template>
    </mat-expansion-panel>
  </div>

  <div class="bg-white relative p-15 mat-elevation-z2">
    <app-loading-animation *ngIf="isLoading"></app-loading-animation>

    <div [class.blur-2]="isLoading">
      <div layout layout-align="space-between" class="m-l-20">
        <h2>Emploees</h2>
        <button mat-flat-button
                color="accent"
                (click)="callPersonCreationDialog()">
          Add new person
        </button>
      </div>

      <ng-container *ngIf="isLoading || tableData?.totalCount">
        <div class="table-wrapper">
          <table mat-table
                 class='width-100-per'
                 [dataSource]="tableData?.list"
                 matSort
                 (matSortChange)="onSort($event)">
            <ng-container matColumnDef="firstName">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
              <td mat-cell *matCellDef="let element">
                {{element.fullName}}

                <span *ngIf="element.deletedAt"
                      class="c-warning">
                (Deactivated)
              </span>
              </td>
            </ng-container>

            <ng-container matColumnDef="isEmployee">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>isEmployee</th>
              <td mat-cell *matCellDef="let element"> {{element.isEmployee}} </td>
            </ng-container>

            <ng-container matColumnDef="Pets.Count">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Pets count</th>
              <td mat-cell *matCellDef="let element"> {{element.pets.length}}</td>
            </ng-container>

            <ng-container matColumnDef="IsActive">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Is Active</th>
              <td mat-cell *matCellDef="let element"> {{element.deletedAt ? 'No' : 'Yes' }}</td>
            </ng-container>

            <ng-container matColumnDef="Actions">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element" class="text-right">
                <button mat-icon-button [matMenuTriggerFor]="actionMenu">
                  <mat-icon>more_vert</mat-icon>
                </button>
                <mat-menu #actionMenu="matMenu">
                  <a mat-menu-item [routerLink]="['/pets']" [queryParams]="{ownerId: element.id}">
                    Pets List
                  </a>
                  <button
                    mat-menu-item
                    (click)="callPersonEditDialog(element.id)">
                    Edit
                  </button>
                  <button
                    mat-menu-item
                    (click)="deactivateUser(element.id)">
                    Deactivate employee
                  </button>
                </mat-menu>
              </td>
            </ng-container>

            <tr mat-header-row
                *matHeaderRowDef="['firstName','isEmployee','Pets.Count', 'IsActive', 'Actions']"></tr>
            <tr mat-row
                *matRowDef="let row; columns: ['firstName','isEmployee','Pets.Count', 'IsActive', 'Actions'];"
                class="expanded element-row"></tr>
          </table>
        </div>

        <mat-paginator [length]="tableData?.totalCount" [pageSize]="filters.pageSize"
                       [pageSizeOptions]="[5, 10, 25, 100]"
                       [pageIndex]="filters.page"
                       (page)="onPaginationChanged($event)"></mat-paginator>
      </ng-container>
      <ng-container *ngIf="tableData && !tableData?.totalCount">
        <h3>No data found</h3>
      </ng-container>
    </div>
  </div>
</div>
